SDL_haptic_c.h File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

int | SDL_HapticInit (void)
void | SDL_HapticQuit (void)

## Function Documentation

## SDL_HapticInit()

int SDL_HapticInit | ( | void |  | ) |

Definition at line 39 of file SDL_haptic.c.

{
int status;
status = SDL_SYS_HapticInit();
if (status >= 0) {
status = 0;
}
return status;
}

References SDL_SYS_HapticInit().

Referenced by SDL_InitSubSystem().

## SDL_HapticQuit()

void SDL_HapticQuit | ( | void |  | ) |

Definition at line 394 of file SDL_haptic.c.

{
while (SDL_haptics) {
SDL_HapticClose(SDL_haptics);
}
SDL_SYS_HapticQuit();
}

References SDL_HapticClose(), SDL_haptics, and SDL_SYS_HapticQuit().

Referenced by SDL_QuitSubSystem().

SDL_SYS_HapticInit
int SDL_SYS_HapticInit(void)
SDL_HapticClose
void SDL_HapticClose(SDL_Haptic *haptic)
Closes a haptic device previously opened with SDL_HapticOpen().
Definition: SDL_haptic.c:339
SDL_SYS_HapticQuit
void SDL_SYS_HapticQuit(void)
SDL_haptics
static SDL_Haptic * SDL_haptics
Definition: SDL_haptic.c:32